package models

import (
	"eta_gn/eta_index_lib/global"
	"time"
)

//// BaseFromCoalmineInlandIndex 沿海八省动力煤用户供耗存数据指标表
//type BaseFromCoalmineInlandIndex struct {
//	BaseFromCoalmineInlandIndexID int       `orm:"column(base_from_coalmine_inland_index_id);pk"`
//	IndexName                     string    // 省份/企业名称
//	IndexCode                     string    // 持买单量指标编码
//	DataTime                      string    // 指标时间
//	DealValue                     string    // 数据量
//	GroupName                     string    // 地区
//	Source                        string    // 来源
//	Unit                          string    // 来源
//	Frequency                     string    `description:"频率"`
//	CreateTime                    time.Time `description:"插入时间"`
//	ModifyTime                    time.Time `description:"修改时间"`
//}


// BaseFromCoalmineInlandIndex 沿海八省动力煤用户供耗存数据指标表
type BaseFromCoalmineInlandIndex struct {
	BaseFromCoalmineInlandIndexID int       `gorm:"column:base_from_coalmine_inland_index_id;primaryKey"`
	IndexName                     string    `gorm:"column:index_name" description:"省份/企业名称"`
	IndexCode                     string    `gorm:"column:index_code" description:"持买单量指标编码"`
	DataTime                      string    `gorm:"column:data_time" description:"指标时间"`
	DealValue                     string    `gorm:"column:deal_value" description:"数据量"`
	GroupName                     string    `gorm:"column:group_name" description:"地区"`
	Source                        string    `gorm:"column:source" description:"来源"`
	Unit                          string    `gorm:"column:unit" description:"单位"`
	Frequency                     string    `gorm:"column:frequency" description:"频率"`
	CreateTime                    time.Time `gorm:"column:create_time" description:"插入时间"`
	ModifyTime                    time.Time `gorm:"column:modify_time" description:"修改时间"`
}

func (m *BaseFromCoalmineInlandIndex) TableName() string {
	return "base_from_coalmine_inland_index"
}

//查询指标
func GetBaseFromCoalmineInlandIndex() (items []*BaseFromCoalmineInlandIndex, err error) {
	//o := orm.NewOrm()
	sql := `SELECT * FROM base_from_coalmine_inland_index`
	//_, err = o.Raw(sql).QueryRows(&items)
	err = global.DEFAULT_DmSQL.Raw(sql).Find(&items).Error
	return
}

//添加数据
func AddBaseFromCoalInlandIndex(item *BaseFromCoalmineInlandIndex) (lastId int, err error) {
	//o := orm.NewOrm()
	//lastId, err = o.Insert(item)
	err = global.DEFAULT_DmSQL.Create(item).Error
	lastId = item.BaseFromCoalmineInlandIndexID
	return
}

func UpdateBaseFromCoalInlandIndex(item *BaseFromCoalmineInlandIndex) (err error) {
	//o := orm.NewOrm()
	sql := `UPDATE base_from_coalmine_inland_index SET deal_value=?  WHERE index_name=?  AND  data_time = ?`
	//_, err = o.Raw(sql, item.DealValue, item.IndexName, item.DataTime).Exec()
	err = global.DEFAULT_DmSQL.Exec(sql, item.DealValue, item.IndexName, item.DataTime).Error
	return
}
