// @Author gmy 2024/8/7 9:26:00
package models

import (
	"errors"
	"eta_gn/eta_index_lib/global"
	"github.com/beego/beego/v2/client/orm"
)

//type BaseFromLyClassify struct {
//	BaseFromLyClassifyId int    `orm:"column(base_from_ly_classify_id);pk"` // 分类ID
//	CreateTime           string `orm:"column(create_time)"`                 // 创建时间
//	ModifyTime           string `orm:"column(modify_time)"`                 // 修改时间
//	ClassifyName         string `orm:"column(classify_name)"`               // 分类名称
//	ParentId             int    `orm:"column(parent_id)"`                   // 上级id
//	Sort                 int    `orm:"column(sort)"`                        // 排序字段，越小越靠前
//	ClassifyNameEn       string `orm:"column(classify_name_en)"`            // 英文分类名称
//}

type BaseFromLyClassify struct {
	BaseFromLyClassifyId int    `gorm:"column:base_from_ly_classify_id;primaryKey"` // 分类ID
	CreateTime           string `gorm:"column:create_time"`                         // 创建时间
	ModifyTime           string `gorm:"column:modify_time"`                         // 修改时间
	ClassifyName         string `gorm:"column:classify_name"`                       // 分类名称
	ParentId             int    `gorm:"column:parent_id"`                           // 上级id
	Sort                 int    `gorm:"column:sort"`                                // 排序字段，越小越靠前
	ClassifyNameEn       string `gorm:"column:classify_name_en"`                    // 英文分类名称
}

func (m *BaseFromLyClassify) TableName() string {
	return "base_from_ly_classify"
}
func init() {
	orm.RegisterModel(new(BaseFromLyClassify))
}

// GetLyClassifyByName 根据分类名称查询
func GetLyClassifyByName(classifyName string) (item *BaseFromLyClassify, err error) {
	//o := orm.NewOrm()
	sql := `SELECT * FROM base_from_ly_classify WHERE classify_name=?`
	//err = o.Raw(sql, classifyName).QueryRow(&item)
	err = global.DEFAULT_DmSQL.Raw(sql, classifyName).First(&item).Error
	if errors.Is(err, orm.ErrNoRows) {
		return nil, nil
	}
	return
}
